# TPK4186 - Advanced Tools for Performance Engineering
# RetailerSales.py
# by Antoine Rauzy
# Copyrights (c) 2019-2020 NTNU
#
# This file is part of the educational material provided to NTNU students registered to the course TPK4186.
# This work is licensed under a Creative Commons Attribution-NonCommercial 4.0 International License.
# For details about this license, see https://creativecommons.org/licenses/by-nc/4.0/.

# Table of Contents
# -----------------
# 1. Required modules
# 2. Application

# 1. Required modules
# -------------------

from Retailer import *
from TSVInterface import *
from XLSInterface import *
from XMLInterface import *
from HTMLInterface import *

# 2. Application
# --------------

tsvPrinter = TSVPrinter()
tsvParser = TSVParser()

retailer = Retailer()
# Test TSV Interface
#tsvParser.ImportRetailerSalesAtTSVFormat(retailer, "sales.tsv")
#tsvPrinter.ExportRetailerSalesAtTSVFormat(retailer, "sales2.tsv")
#tsvPrinter.ExportRetailerProfitAtTSVFormat(retailer, "profit.tsv")

# Test XLS Interface
#xlsPrinter = XLSPrinter()
#xlsParser = XLSParser()
#tsvParser.ImportRetailerSalesAtTSVFormat(retailer, "sales.tsv")
#xlsPrinter.ExportRetailerSalesAndProfitAtXLSFormat(retailer, "sales.xlsx")
#retailer = Retailer()
#xlsParser.ImportRetailerSalesAtXLSFormat(retailer, "sales.xlsx")
#tsvPrinter.ExportRetailerSalesAtTSVFormat(retailer, "sales2.tsv")

# Test XML Interface
xmlPrinter = XMLPrinter()
xmlParser = XMLParser()
tsvParser.ImportRetailerSalesAtTSVFormat(retailer, "sales.tsv")
xmlPrinter.ExportRetailerSalesAtXMLFormat(retailer, "sales.xml")
retailer = Retailer()
xmlParser.ImportRetailerSalesAtXMLFormat(retailer, "sales.xml")
tsvPrinter.ExportRetailerSalesAtTSVFormat(retailer, "sales2.tsv")

# Test HTML Interface
#htmlCreator = HTMLCreator()
#tsvParser.ImportRetailerSalesAtTSVFormat(retailer, "sales.tsv")
#htmlCreator.ExportRetailerSalesAtHTMLFormat(retailer, "sales-template.html", "sales.html")



